Bug 112969 - Update 3: XFree86 does not run without Option "noaccel" on x455
Update 3: XFree86 does not run without Option "noaccel" on x455
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: XFree86 (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-01-06 15:15 EST by Don Smith
Modified: 2007-11-30 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-11 17:12:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
XFree86 log (25.63 KB, text/plain)
2004-01-06 15:23 EST, Don Smith
no flags Details
XFree86 config (3.65 KB, text/plain)
2004-01-06 15:24 EST, Don Smith
no flags Details
strace -i -v -o strace.log X (127.29 KB, text/plain)
2004-01-07 16:41 EST, Don Smith
no flags Details

  None (edit)
Description Don Smith 2004-01-06 15:15:58 EST
Description of problem:
On a single-node x455, X will not start up post-install with the
default configuration written by anaconda. It appears to crash when
loading the xaa module:

(II) Module xaa: vendor="The XFree86 Project"
	compiled for 4.1.0, module version 1.0.0

Fatal server error:
Caught signal 11.  Server aborting

Disabling acceleration (with Option "noaccel") in
/etc/X11/XF86Config-4 allows X to start up and run without issues.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run 'startx' with default config provided by anaconda
Actual results:
X aborts with signal 11

Expected results:
X starts up successfully

Additional information:
X runs without a problem during installation (I imagine it runs with
"noaccel" at that point).
Comment 1 Don Smith 2004-01-06 15:23:55 EST
Created attachment 96791 [details]
XFree86 log
Comment 2 Don Smith 2004-01-06 15:24:16 EST
Created attachment 96792 [details]
XFree86 config
Comment 4 Mike A. Harris 2004-01-06 17:32:02 EST
Is this a regression of a previously working and supported system,
now not working?  Or is this a system that is new, and has never
worked?  Any details you could provide would be greatly appreciated.
Comment 5 John Dennis 2004-01-07 10:25:10 EST
Isn't this a duplicate of bug 112175? If it is I have been looking at
this. If it is a duplicate of bug 112175 then its not a regression. In
bug 112175 IBM has changed the system BIOS and reduced the IO port
space. I got an update on this yesterday from IBM but I have not had a
chance yet to digest the information and return to working on it. I'll
take ownership of both these, I hadn't noticed you were still assigned
to them.
Comment 6 Don Smith 2004-01-07 11:06:03 EST
I'm not sure that this is a duplicate of 112175, but I guess it's
possible that it is caused by the same IO port space issue. 112175
occurs with a 2-node system and results in a machine check, whereas
this occurs with a single node system and results in a seg fault
(signal 11). I'll try flashing back to BIOS 14 and see if that changes
anything; at least then we can say better whether these two problems
may be related.
Comment 7 Don Smith 2004-01-07 13:58:26 EST
The same thing happens with BIOS 14, so I don't think this is related
to the IO port problem.
Comment 8 Don Smith 2004-01-07 16:41:38 EST
Created attachment 96817 [details]
strace -i -v -o strace.log X

strace on X... I thought it might help if you can make more sense out of it
than I can.
Comment 9 Don Smith 2004-02-11 17:12:55 EST
I don't know what kind of weird state the machine was in when I found
this problem... I can no longer reproduce it, so I'll close this bug.

Note You need to log in before you can comment on or make changes to this bug.